=== debian/changelog ===
blacs-pvm (1.1-21) unstable; urgency=low

  * Bumped standards version to 3.9.2. No changes were needed. 
  * Switch to dpkg-source 3.0 (quilt) format.
  * Maintainer's mail has been changed.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 28 Aug 2011 21:11:26 +0200

blacs-pvm (1.1-20) unstable; urgency=low

  * Bumped standards version to 3.8.4. No changes were needed. 
  * debian/control: blacs-pvm-test was depending on a non existent package 
    (blacsgf-test-common). Such an error has been corrected updating the Depends
    field with the name of the existent package, in this case blacs-test-common.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Wed, 31 Mar 2010 20:16:19 -0430

blacs-pvm (1.1-19) unstable; urgency=low

  * Bug: 'blacs-pvm-test depends on obsolete blacs-test-common' has been fixed
    in this revision. (Closes: #473740)
  * Copyright file has been fixed. So there is no lintian's complains about
    that.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Fri, 04 Apr 2008 00:59:29 -0430

blacs-pvm (1.1-18) unstable; urgency=low

  * Bumped standards version to 3.7.3
  * debian/compat file was created.
  * Webpage was moved from blacs-pvm's description to control tag.
  * The package is now built using gfortran instead of g77. Thanks to Colin
    Tuckley for providing patches and helping.(Closes: #459589)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Wed, 09 Jan 2008 00:00:30 -0430

blacs-pvm (1.1-17) unstable; urgency=low

  * Bumped standards version to 3.7.2
  * New maintainer. Closes: #335009
  * Updated build dependency to debhelper >= 5.
  * The watch file was added. Thanks to James Westby.
  * The use of ${Source-Version} was dropped.
  * Added another space in front of Homepage in control. (Philipp Frauenfelder)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun,  3 Sep 2006 23:41:28 +0000

blacs-pvm (1.1-16) unstable; urgency=low

  * Bumped standards version to 3.6.1
  * Changed documentation to comply with MPICH and LAM packages.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Wed, 17 Sep 2003 14:23:15 +0200

blacs-pvm (1.1-15) unstable; urgency=low

  * Added -ffunction-sections to F77 as well. Closes: #127227

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Sun, 13 Jan 2002 09:54:25 +0100

blacs-pvm (1.1-14) unstable; urgency=low

  * Moved -ffunction-sections from CCFLAGS to CC. Not all C files are
    compiled with CCFLAGS. Closes: #127227

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Sat,  5 Jan 2002 16:52:12 +0100

blacs-pvm (1.1-13) unstable; urgency=low

  * Added -ffunction-sections to CCFLAGS. Should make this package
    compile on hppa as well. Closes: #127227

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Tue,  1 Jan 2002 12:53:27 +0100

blacs-pvm (1.1-12) unstable; urgency=low

  * Typo in debian/control. Closes: #124458

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Sun, 23 Dec 2001 15:59:53 +0100

blacs-pvm (1.1-11) unstable; urgency=low

  * Made sure -fPIC is used for all compilations in the shared library
    case (was not before!). Closes: #108249

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Fri, 10 Aug 2001 11:25:51 +0000

blacs-pvm (1.1-10) unstable; urgency=low

  * Changed section of blacs1-pvm from devel to libs and added some
    more sensible depends.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Fri,  3 Aug 2001 15:42:28 +0000

blacs-pvm (1.1-9) unstable; urgency=low

  * Added Build-Depends to pvm-dev. Closes: #70933

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Wed,  6 Sep 2000 09:55:40 +0200

blacs-pvm (1.1-8) unstable; urgency=low

  * New standards version: 3.2.1
  * Build-Depends. Closes: #70178

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Mon,  4 Sep 2000 15:53:30 +0200

blacs-pvm (1.1-7) frozen; urgency=low

  * Recompiling on potato.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Sat, 22 Apr 2000 16:42:31 +0200

blacs-pvm (1.1-6) unstable; urgency=low

  * Moved creation of TESTING/EXE to build targets in debian/rules.
    Closes: #51631.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Tue, 30 Nov 1999 16:44:18 +0100

blacs-pvm (1.1-5) unstable; urgency=low

  * Add TESTING/EXE directory if it does not exist in rules.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Thu, 18 Nov 1999 13:56:15 +0100

blacs-pvm (1.1-4) unstable; urgency=low

  * Changed build process to get shared libraries too. Inspired by
    Camm Maguire <camm@enhanced.com>. New packages: blacs1-pvm,
    blacs-pvm-dev, blacs-test-pvm. Obsolete: blacs-pvm.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Wed,  3 Nov 1999 14:47:00 +0100

blacs-pvm (1.1-3) unstable; urgency=low

  * Changed priority from optional to extra to fix dependency bug.
  * Bumped standards version to 3.0.1.
  * Moved to debhelper v2.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Thu, 19 Aug 1999 11:44:36 +0200

blacs-pvm (1.1-2) unstable; urgency=low

  * Changed path in Bmake.inc, closes #37402 (which was against
    blacs-mpi but applies for blacs-pvm too)
  * Changed binary-arch and binary-indep in debian/rules, closes #37403

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Mon, 10 May 1999 23:52:04 +0200

blacs-pvm (1.1-1) unstable; urgency=low

  * Initial release.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Sat, 24 Apr 1999 11:29:51 +0200
