=== debian/control ===
Source: blacs-pvm
Section: devel
Priority: extra
Maintainer: Muammar El Khatib <muammar@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 5), gfortran, pvm-dev, quilt
Homepage: http://www.netlib.org/blacs/

Package: blacs-pvm-dev
Architecture: any
Depends: blacs1-pvm (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: scalapack-doc
Replaces: blacs-pvm
Conflicts: blacs-pvm
Description: Basic Linear Algebra Comm. Subprograms - Dev. files for PVM
 The BLACS project is an ongoing investigation whose purpose is to
 create a linear algebra oriented message passing interface that may be
 implemented efficiently and uniformly across a large range of
 distributed memory platforms.
 .
 You can choose between an implementation based on MPI or PVM. This
 package uses PVM.
 .
 There are packages for the shared libraries, for the static libraries
 and the development files (this one) and for test programs.
 .
 Most users do not need to install this package directly because it is
 used as a high level driver for the communication in the ScaLAPACK packages.
 Therefore, it is installed when installing ScaLAPACK. ScaLAPACK is a
 parallel version of LAPACK and is used on Beowulf type clusters.

Package: blacs1-pvm
Section: libs
Architecture: any
Depends: pvm, ${shlibs:Depends}, ${misc:Depends}
Description: Basic Linear Algebra Comm. Subprograms - Shared libs. for PVM
 The BLACS project is an ongoing investigation whose purpose is to
 create a linear algebra oriented message passing interface that may be
 implemented efficiently and uniformly across a large range of
 distributed memory platforms.
 .
 You can choose between an implementation based on MPI or PVM. This
 package uses PVM.
 .
 There are packages for the shared libraries (this one), for the
 static libraries and the development files and for test programs.
 .
 Most users do not need to install this package directly because it is
 used as a high level driver for the communication in the ScaLAPACK packages.
 Therefore, it is installed when installing ScaLAPACK. ScaLAPACK is a
 parallel version of LAPACK and is used on Beowulf type clusters.

Package: blacs-pvm-test
Architecture: any
Depends: blacs-test-common, ${shlibs:Depends}, ${misc:Depends}
Description: Basic Linear Algebra Comm. Subprograms - Test files for PVM
 The BLACS project is an ongoing investigation whose purpose is to
 create a linear algebra oriented message passing interface that may be
 implemented efficiently and uniformly across a large range of
 distributed memory platforms.
 .
 You can choose between an implementation based on MPI or PVM. This
 package uses PVM.
 .
 There are packages for the shared libraries, for the static libraries
 and the development files and for test programs (this one).
 .
 Most users do not need to install this package directly because it is
 used as a high level driver for the communication in the ScaLAPACK packages.
 Therefore, it is installed when installing ScaLAPACK. ScaLAPACK is a
 parallel version of LAPACK and is used on Beowulf type clusters.
